
package de.ivu.elect.presentation.staat.menu;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.MenuEntry;
import de.ivu.elect.presentation.ui.AbstractPageMenuModelBuilder;

@Named(StaatenGruppePageMenu.COMPONENT_NAME)
public class StaatenGruppePageMenu extends AbstractPageMenuModelBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "staatenGruppePageMenu";

  @Inject
  private transient StaatenGruppeSearchMenuItemEntry staatenGruppeSearchMenuItemEntry;

  @Inject
  private transient StaatenGruppeCreateMenuItemEntry staatenGruppeCreateMenuItemEntry;

  @Inject
  private transient StaatenGruppeImportMenuItemEntry staatenGruppeImportMenuItemEntry;

  @Inject
  private transient StaatenGruppeExportMenuItemEntry staatenGruppeExportMenuItemEntry;

  public StaatenGruppePageMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();

    result.add(staatenGruppeSearchMenuItemEntry);
    result.add(staatenGruppeCreateMenuItemEntry);

    result.add(separator);
    result.add(staatenGruppeImportMenuItemEntry);
    result.add(staatenGruppeExportMenuItemEntry);

    return result;
  }
}
